<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_14"
        android:layout_marginTop="@dimen/dp_6"
        android:layout_marginEnd="@dimen/dp_14"
        android:layout_marginBottom="@dimen/dp_6"
        android:background="@drawable/shape_sleep_bg_8dp"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_23"
                android:drawableStart="@drawable/shape_head_tip_new"
                android:drawablePadding="@dimen/dp_10"
                android:text="数据对比"
                android:textColor="#313131"
                android:textSize="@dimen/sp_17"
                android:textStyle="bold"
                tools:ignore="HardcodedText,UseCompatTextViewDrawableXml" />

            <com.xty.common.weight.tablayout.CommonTabLayout
                android:id="@+id/commonTabLayout"
                android:layout_width="@dimen/dp_150"
                android:layout_height="@dimen/dp_40"
                android:layout_marginStart="@dimen/dp_6"
                android:layout_marginTop="@dimen/dp_6"
                app:tl_iconVisible="false"
                app:tl_indicator_color="@color/col_02c"
                app:tl_indicator_corner_radius="@dimen/dp_2"
                app:tl_indicator_height="@dimen/dp_3"
                app:tl_indicator_width="@dimen/dp_16"
                app:tl_textSelectColor="@color/col_02c"
                app:tl_textUnselectColor="#7C7C7C"
                app:tl_textsize="@dimen/sp_15"
                app:tl_textsizeSelected="@dimen/sp_15" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginEnd="@dimen/dp_16">

                <TextView
                    android:id="@+id/show_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableStart="@drawable/shape_dot_9bd"
                    android:drawablePadding="@dimen/dp_10"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingBottom="@dimen/dp_10"
                    android:text="选择日期"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_15"
                    tools:ignore="HardcodedText,SpUsage,UseCompatTextViewDrawableXml" />

                <TextView
                    android:id="@+id/tvShowDate"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_40"
                    android:drawableEnd="@mipmap/arrow_right"
                    android:drawablePadding="@dimen/dp_5"
                    android:gravity="center_vertical|right"
                    android:textColor="@color/col_c7c"
                    android:textSize="@dimen/sp_15"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:ignore="MissingConstraints,RtlHardcoded,SpUsage,UseCompatTextViewDrawableXml"
                    tools:text="2023-02-24" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginRight="@dimen/dp_20"
                android:background="@color/picture_color_f2" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginEnd="@dimen/dp_16">

                <TextView
                    android:id="@+id/hide_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:drawableStart="@drawable/shape_dot_96d"
                    android:drawablePadding="@dimen/dp_10"
                    android:paddingTop="@dimen/dp_10"
                    android:paddingBottom="@dimen/dp_10"
                    android:text="对比日期"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_15"
                    tools:ignore="HardcodedText,SpUsage,UseCompatTextViewDrawableXml" />

                <TextView
                    android:id="@+id/tvHideDate"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_40"
                    android:drawableEnd="@mipmap/arrow_right"
                    android:drawablePadding="@dimen/dp_4"
                    android:gravity="center_vertical|right"
                    android:textColor="@color/col_c7c"
                    android:textSize="@dimen/sp_15"
                    tools:ignore="RtlHardcoded,SpUsage,UseCompatTextViewDrawableXml"
                    tools:text="2023-02-24" />

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:layout_marginLeft="@dimen/dp_20"
                android:layout_marginRight="@dimen/dp_20"
                android:background="@color/picture_color_f2" />

        </LinearLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_15"
            android:text="总胆固醇"
            android:textColor="@color/col_313"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            tools:ignore="HardcodedText,RtlHardcoded,SpUsage" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_218"
            android:layout_margin="@dimen/dp_12">

            <com.github.mikephil.charting.charts.LineChart
                android:id="@+id/dgcCompareLineChart"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="visible" />

            <com.github.mikephil.charting.charts.BarChart
                android:id="@+id/dgcCompareBarChart"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="gone" />

        </FrameLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_17"
            android:text="甘油三酯"
            android:textColor="@color/col_313"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            tools:ignore="HardcodedText,RtlHardcoded,SpUsage" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_218"
            android:layout_margin="@dimen/dp_12">

            <com.github.mikephil.charting.charts.LineChart
                android:id="@+id/gyszCompareLineChart"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="visible" />

            <com.github.mikephil.charting.charts.BarChart
                android:id="@+id/gyszCompareBarChart"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="gone" />

        </FrameLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_17"
            android:text="高密度脂蛋白"
            android:textColor="@color/col_313"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            tools:ignore="HardcodedText,RtlHardcoded,SpUsage" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_218"
            android:layout_margin="@dimen/dp_12">

            <com.github.mikephil.charting.charts.LineChart
                android:id="@+id/gmdzdbCompareLineChart"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="visible" />

            <com.github.mikephil.charting.charts.BarChart
                android:id="@+id/gmdzdbCompareBarChart"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="gone" />

        </FrameLayout>

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_16"
            android:layout_marginTop="@dimen/dp_17"
            android:text="低密度脂蛋白"
            android:textColor="@color/col_313"
            android:textSize="@dimen/sp_16"
            android:textStyle="bold"
            tools:ignore="HardcodedText,RtlHardcoded,SpUsage" />

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_218"
            android:layout_marginStart="@dimen/dp_12"
            android:layout_marginTop="@dimen/dp_12"
            android:layout_marginEnd="@dimen/dp_12"
            android:layout_marginBottom="@dimen/dp_20">

            <com.github.mikephil.charting.charts.LineChart
                android:id="@+id/dmdzdbCompareLineChart"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="visible" />

            <com.github.mikephil.charting.charts.BarChart
                android:id="@+id/dmdzdbCompareBarChart"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:visibility="gone" />

        </FrameLayout>

    </LinearLayout>

</LinearLayout>